# Retrieve Global Configuration by id

`GET /lokta-lms/api/v1/configurations/{configId}`

Returns a global enable/disable configurations.

Example Requests:

configurations/1

## Parameters
- `configId` (path, integer, required): configId

## Responses
- `200`: OK

## Response fields
- `dateValue` (string)
- `description` (string)
- `enabled` (boolean)
- `id` (integer)
- `name` (string)
- `stringValue` (string)
- `trapDoor` (boolean)
- `value` (integer)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/configurations/{configId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "dateValue": "19 August 2026",
  "description": "string",
  "enabled": true,
  "id": 1
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveOneGlobalConfiguration
